- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDPolylineTo3 Class Reference
Inheritance diagram for libvisio::VSDPolylineTo3:

## Public Member Functions
| VSDPolylineTo3 (unsigned id, unsigned level, const boost::optional< double > &x, const boost::optional< double > &y, const boost::optional< PolylineData > &data)
virtual | ~VSDPolylineTo3 ()
void | handle (VSDCollector *collector) const
VSDGeometryListElement * | clone ()
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
PolylineData | m_data
double | m_x
double | m_y

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

libvisio::VSDPolylineTo3::VSDPolylineTo3 | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< double > & | x,
|  | const boost::optional< double > & | y,
|  | const boost::optional< PolylineData > & | data
| ) |  |
| inline

virtual libvisio::VSDPolylineTo3::~VSDPolylineTo3 | ( |  | ) |
| inline virtual

## Member Function Documentation

libvisio::VSDGeometryListElement * libvisio::VSDPolylineTo3::clone | ( |  | ) |
| virtual

Implements libvisio::VSDGeometryListElement.

void libvisio::VSDPolylineTo3::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

PolylineData libvisio::VSDPolylineTo3::m_data

Referenced by libvisio::VSDGeometryList::addPolylineTo().

double libvisio::VSDPolylineTo3::m_x

Referenced by libvisio::VSDGeometryList::addPolylineTo().

double libvisio::VSDPolylineTo3::m_y

Referenced by libvisio::VSDGeometryList::addPolylineTo().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp